[SciPy-user] another (little) installation problem

Volker Lorrmann lorrmann@physik.uni-wuerzburg...
Thu Jun 14 12:46:35 CDT 2007


Volker Lorrmann <lorrmann@physik.uni-wuerzburg.de> [2007-06-13 06:56]:

 > > > i'm trying to get scipy build. I've installed python-numpy and atlas
 > > with lapack support without any problems.
 > > "python setup.py build" fails with
 > > > building extension "scipy.fftpack._fftpack" sources
 > >   target build/src.linux-i686-2.5/_fftpackmodule.c does not exist:
 > >    Assuming _fftpackmodule.c was generated with "build_src --inplace"
 > > command.
 > > error: '_fftpackmodule.c' missing
 > > > Is there an easy workaround? Do you need some more informations? I've
 > > added the whole output.
 >

 > Hello Volker,
 >
 > These errors look very similar to the errors I got using numpy-1.0.3. On
 > the SciPy-dev list, Pearu pointed out that my errors were due to a bug
 > in the 1.0.3 tarball, and suggested building numpy from the svn
 > version. I did, and it fixed that problem.
 >
 > What OS and version are you building on?
 >
 > For anyone wondering about how to get the svn versions, the commands
 > below will download all the files into directories (they will be
 > automatically created) numpy and scipy below the current directory.
 >
 > svn co http://svn.scipy.org/svn/numpy/trunk numpy
 > svn co http://svn.scipy.org/svn/scipy/trunk scipy
 >
 > -rex

Hi rex,

thanks for your advice. Building numpy and scipy from svn fixed my problem.


 > What OS and version are you building on?

I´m using Arch Linux...

volker


More information about the SciPy-user mailing list